Try ERPNext Buy Support Partners Foundation

Error ERPNext - Jasper-Server

hello

favor your help with this error, in an oversight they tried to install jaspert report and all your support was damaged please

SyntaxError: invalid syntax
[ERROR] 2019-12-06 15:37:03,491 | /home/erpnext/frappe_bench/apps/frappe/frappe/utils/error.py:
Could not take error snapshot: startswith first arg must be str or a tuple of str, not bytes
Traceback (most recent call last):
File “/home/erpnext/frappe_bench/apps/frappe/frappe/app.py”, line 52, in application
init_request(request)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/app.py”, line 105, in init_request
frappe.init(site=site, sites_path=_sites_path)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/init.py”, line 174, in init
setup_module_map()
File “/home/erpnext/frappe_bench/apps/frappe/frappe/init.py”, line 980, in setup_module_map
for module in get_module_list(app):
File “/home/erpnext/frappe_bench/apps/frappe/frappe/init.py”, line 850, in get_module_list
return get_file_items(os.path.join(os.path.dirname(get_module(app_name).file), “modules.txt”))
File “/home/erpnext/frappe_bench/apps/frappe/frappe/init.py”, line 808, in get_module
return importlib.import_module(modulename)
File “/home/erpnext/frappe_bench/env/lib/python3.6/importlib/init.py”, line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 994, in _gcd_import
File “”, line 971, in _find_and_load
File “”, line 955, in _find_and_load_unlocked
File “”, line 665, in _load_unlocked
File “”, line 678, in exec_module
File “”, line 219, in _call_with_frames_removed
File “/home/erpnext/frappe_bench/apps/jasper_erpnext_report/jasper_erpnext_report/init.py”, line 23, in
from .utils.utils import get_Frappe_Version
File “/home/erpnext/frappe_bench/apps/jasper_erpnext_report/jasper_erpnext_report/utils/utils.py”, line 162
print “MyJasperCustomScripletDefault method Teste {}”.format(args)
^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/erpnext/frappe_bench/apps/frappe/frappe/utils/error.py”, line 36, in make_error_snapshot
snapshot = get_snapshot(exception)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/utils/error.py”, line 131, in get_snapshot
if type(value)==str and value.startswith(b"u’"):
TypeError: startswith first arg must be str or a tuple of str, not bytes

You might have problems with versions. Make sure the version or Jasper and Expnext/frappe core are compatible.